#!/bin/sh

prog=$0
project_name=BoscoProject
project_dir=.

# usage <exit status>
#
# if exit status is 0, usage will print usage to standard out.  if exit
# status is not 0, usage will print usage to standard error.  usage exits
# with exit status.
usage() {
    local status="$1"

    if [ "$status" -eq 0 ]; then
        cat
    else
        cat >&2
    fi << EOF
Usage: $prog [-h] [-n PROJECT_NAME] [-d PROJECT_DIRECTORY]
       -h print this help message
       -n the name of the project; defaults to BoscoProject
       -d the project directory; defaults to ./PROJECT_NAME
EOF
    exit $status
}

while getopts "n:d:h" opt; do
    case $opt in
    	n) project_name=$OPTARG ;;
    	d) project_dir=$OPTARG ;;
    	h) usage 0 ;;
    esac
done

openmcl -l ./bosco.lisp -e "(progn (make-new-project :name \"${project_name}\" \
                                                     :projects-directory \"${project_dir}\")(quit))"
