;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: asdf -*-
;;;; ***********************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          <<<project-name>>>.asd
;;;; Project:       <<<project-name>>>
;;;; Purpose:       system definition
;;;; Programmer:    
;;;; Date Started:  
;;;;
;;;; 
;;;; ***********************************************************************

(require :asdf)

(in-package #:asdf)

;;; Cocoa application
(asdf:defsystem #:<<<project-name>>>
  :serial t
  :components
  ((:module src
            :serial t
			:components
			((:module lib
                      :serial t
					  :components
					  ((:file "cocoa")
                       (:file "package")
                       (:file "utils")
                       (:file "application")
                       ))
             (:file "main")))))

;;; ----------------------------------------------------------------------
;;; load the application
;;; ----------------------------------------------------------------------

(in-package #:cl-user)

(defun load-<<<project-name>>> ()
  (format t "~%loading <<<project-name>>>...~%")
  (asdf:operate 'asdf:load-op :<<<project-name>>>))

(defun cl-user::make-bosco (&key
							application-class
							application-name)
  (let* ((application-class (find-class (intern application-class :bosco)))
		 (image-name (concatenate 'string application-name ".image"))
		 (lisp-kernel-path (car ccl::*command-line-argument-list*))
		 (bosco-kernel-path (concatenate 'string 
                                         (ccl::current-directory-name)
                                         "/"
                                         application-name)))
	(ccl::copy-file lisp-kernel-path bosco-kernel-path :if-exists :supersede)
	(cl-user::save-application image-name :application-class application-class)))

(defun make (&key
             (application-class "BOSCO-COCOA-APPLICATION")
             (application-name "<<<project-name>>>.app"))
  (load-<<<project-name>>>)
  (make-bosco :application-class application-class
              :application-name application-name))

